class BottomPicStyle {
  String name;
  String desc;
  String moduleType;
  String moduleKey;
  String isTopMargin;
  String isLeftRightMargin;
  String isShow;
  String topMargin;
  String leftRightMargin;
  String topLeftRadius;
  String topRightRadius;
  String bottomLeftRadius;
  String bottomRightRadius;
  String bgColor;
  String bgImage;
  String bgImageUrl;
  String skipIdentifier;
  String skipName;
  String requiredLogin;
  String requiredTaobaoAuth;
  String isJump;
  String cateTag;

  BottomPicStyle(
      {this.name,
        this.desc,
        this.moduleType,
        this.moduleKey,
        this.isTopMargin,
        this.isLeftRightMargin,
        this.isShow,
        this.topMargin,
        this.leftRightMargin,
        this.topLeftRadius,
        this.topRightRadius,
        this.bottomLeftRadius,
        this.bottomRightRadius,
        this.bgColor,
        this.bgImage,
        this.bgImageUrl,
        this.skipIdentifier,
        this.skipName,
        this.requiredLogin,
        this.requiredTaobaoAuth,
        this.isJump,
        this.cateTag});

  BottomPicStyle.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    desc = json['desc'];
    moduleType = json['module_type'];
    moduleKey = json['module_key'];
    isTopMargin = json['is_top_margin'];
    isLeftRightMargin = json['is_left_right_margin'];
    isShow = json['is_show'];
    topMargin = json['top_margin'];
    leftRightMargin = json['left_right_margin'];
    topLeftRadius = json['top_left_radius'];
    topRightRadius = json['top_right_radius'];
    bottomLeftRadius = json['bottom_left_radius'];
    bottomRightRadius = json['bottom_right_radius'];
    bgColor = json['bg_color'];
    bgImage = json['bg_image'];
    bgImageUrl = json['bg_image_url'];
    skipIdentifier = json['skip_identifier'];
    skipName = json['skip_name'];
    requiredLogin = json['required_login'];
    requiredTaobaoAuth = json['required_taobao_auth'];
    isJump = json['is_jump'];
    cateTag = json['cate_tag'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    data['desc'] = this.desc;
    data['module_type'] = this.moduleType;
    data['module_key'] = this.moduleKey;
    data['is_top_margin'] = this.isTopMargin;
    data['is_left_right_margin'] = this.isLeftRightMargin;
    data['is_show'] = this.isShow;
    data['top_margin'] = this.topMargin;
    data['left_right_margin'] = this.leftRightMargin;
    data['top_left_radius'] = this.topLeftRadius;
    data['top_right_radius'] = this.topRightRadius;
    data['bottom_left_radius'] = this.bottomLeftRadius;
    data['bottom_right_radius'] = this.bottomRightRadius;
    data['bg_color'] = this.bgColor;
    data['bg_image'] = this.bgImage;
    data['bg_image_url'] = this.bgImageUrl;
    data['skip_identifier'] = this.skipIdentifier;
    data['skip_name'] = this.skipName;
    data['required_login'] = this.requiredLogin;
    data['required_taobao_auth'] = this.requiredTaobaoAuth;
    data['is_jump'] = this.isJump;
    data['cate_tag'] = this.cateTag;
    return data;
  }
}
